%{?nodejs_find_provides_and_requires}

%global packagename fill-range
%global enable_tests 1

Name:		nodejs-fill-range
Version:	4.0.0
Release:	4%{?dist}
Summary:	Fill in a range of numbers or letters

License:	MIT
URL:		https://github.com/jonschlinkert/fill-range.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(extend-shallow)
BuildRequires:	npm(repeat-string)
BuildRequires:	npm(is-number)
BuildRequires:	npm(to-regex-range)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(isobject)
BuildRequires:	npm(randomatic)
BuildRequires:	npm(repeat-string)
BuildRequires:	npm(should)
%endif

%description
Fill in a range of numbers or letters, optionally passing an increment or
multiplier to use.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep isobject
%nodejs_fixdep is-number

# remove executable bits from text files
chmod -x README.md LICENSE


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Jared Smith <jsmith@fedoraproject.org> - 4.0.0-1
- Update to upstream 4.0.0 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 10 2017 Jared Smith <jsmith@fedoraproject.org> - 2.2.3-3
- Relax dependency on npm(isobject)

* Sat Aug 06 2016 Jared Smith <jsmith@fedoraproject.org> - 2.2.3-2
- Remove executable bits from text files

* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 2.2.3-1
- Initial packaging
